<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}


global $current_user, $wpdb;
if (!($current_user->ID && $current_user->has_cap('manage_options'))) {
	exit;
}

$gravity_form_rules = get_terms([
	'taxonomy'   => 'wpsc_gf',
	'hide_empty' => false
]);

?>
<div id="add_gravity_forms">
	<h4 style="margin-bottom:20px;margin-top:20px;">
		<?php _e('Gravity Forms','wpsc-gf');?>
		<button id="wpsc_gravity_forms_settings" type="button" style="margin-left: 6px;" onclick="wpsc_get_add_new_gravity_form();" class="btn btn-sm btn-success"><?php _e('+ Add New','wpsc-gf');?></button>
	</h4>
</div>

<ul class="wpsc-sortable">
	<?php foreach ( $gravity_form_rules as $gravity_form ) :
		$bg_color ='#1E90FF';
    ?>
		<li class="ui-state-default" data-id="<?php echo $gravity_form->term_id?>">
			<div class="wpsc-flex-container" style="background-color:<?php echo $bg_color?>;color:#fff;">
				<div class="wpsc-sortable-handle"><i class="fas fa-clipboard"></i></div>
				<div class="wpsc-sortable-label"><?php echo $gravity_form->name?></div>
				<div class="wpsc-sortable-edit" style="" onclick="wpsc_get_edit_gf_rules(<?php echo $gravity_form->term_id?>);"><i class="fa fa-edit"></i></div>
				<div class="wpsc-sortable-delete" style="" onclick="wpsc_delete_gf_rules(<?php echo $gravity_form->term_id?>);"><i class="fa fa-trash"></i></div>
			</div>
		</li>
	<?php endforeach;?>
</ul>

<script type="text/javascript">
function wpsc_get_add_new_gravity_form(){
	jQuery('.wpsc_setting_col2').html(wpsc_admin.loading_html);	
	var data = {
		action: 'wpsc_get_add_gf_rules',
	};
	jQuery.post(wpsc_admin.ajax_url, data, function(response_str) {
			jQuery('.wpsc_setting_col2').html(response_str);		
	});
}

function wpsc_set_add_gf_rules(){
	var dataform = new FormData(jQuery('#frm_new_gravity_form')[0]);
	jQuery('.wpsc_popup_action').text('<?php _e('Please wait ...','wpsc-gf')?>');
	jQuery('.wpsc_popup_action, #wpsc_popup_body input').attr("disabled", "disabled");
	jQuery.ajax({
		url: wpsc_admin.ajax_url,
		type: 'POST',
		data: dataform,
		processData: false,
		contentType: false
	})
	.done(function (response_str) {
		var response = JSON.parse(response_str);
		if (response.sucess_status=='1') {
			wpsc_get_edit_gf_rules(response.term_id);
		} else {
			jQuery('#wpsc_alert_error .wpsc_alert_text').text(response.messege);
			jQuery('#wpsc_alert_error').slideDown('fast',function(){});
			setTimeout(function(){ jQuery('#wpsc_alert_error').slideUp('fast',function(){}); }, 3000);
		}
	});
}

function wpsc_get_edit_gf_rules(term_id){	
	jQuery('.wpsc_setting_col2').html(wpsc_admin.loading_html);	
	var data = {
		action: 'wpsc_get_edit_gf_rules',
		term_id: term_id				
	};
	jQuery.post(wpsc_admin.ajax_url, data, function(response_str) {
			jQuery('.wpsc_setting_col2').html(response_str);		
	});
}

function wpsc_set_edit_gf_rules() {
	var dataform = new FormData(jQuery('#wpsc_gf_edit_rules_frm')[0]);
	jQuery('.wpsc_popup_action').text('<?php _e('Please wait ...','wpsc-gf')?>');
	jQuery('.wpsc_popup_action, #wpsc_popup_body input').attr("disabled", "disabled");
	jQuery.ajax({
		url: wpsc_admin.ajax_url,
		type: 'POST',
		data: dataform,
		processData: false,
		contentType: false
	})
	.done(function (response_str) {
		wpsc_modal_close();
		var response = JSON.parse(response_str);
		if (response.sucess_status=='1') {
			jQuery('#wpsc_alert_success .wpsc_alert_text').text(response.messege);
			jQuery('#wpsc_alert_success').slideDown('fast',function(){});
			setTimeout(function(){ jQuery('#wpsc_alert_success').slideUp('fast',function(){}); }, 3000);
			wpsc_get_gravity_form_setting();
		} else {
			jQuery('#wpsc_alert_error .wpsc_alert_text').text(response.messege);
			jQuery('#wpsc_alert_error').slideDown('fast',function(){});
			setTimeout(function(){ jQuery('#wpsc_alert_error').slideUp('fast',function(){}); }, 3000);
		}
	});
}

function wpsc_delete_gf_rules(term_id){
	var flag = confirm(wpsc_admin.are_you_sure);
	if (flag) {
		var data = {
			action : 'wpsc_delete_gf_rules',
			term_id : term_id
		};
		jQuery.post(wpsc_admin.ajax_url, data, function(response_str) {
			var response = JSON.parse(response_str);
			if (response.sucess_status=='1') {
				jQuery('#wpsc_alert_success .wpsc_alert_text').text(response.messege);
				jQuery('#wpsc_alert_success').slideDown('fast',function(){});
				setTimeout(function(){ jQuery('#wpsc_alert_success').slideUp('fast',function(){}); }, 3000);
				wpsc_get_gravity_form_setting();
			} else {
				jQuery('#wpsc_alert_error .wpsc_alert_text').text(response.messege);
				jQuery('#wpsc_alert_error').slideDown('fast',function(){});
				setTimeout(function(){ jQuery('#wpsc_alert_error').slideUp('fast',function(){}); }, 3000);
			}
		});
	}
}
</script>
